Subject: 600913170_2 || LFS FORWARDER R.R || LFS DRIVER AYOUB
From: Amani Bani Odeh <[email-masked]>
To: Eugene Mugisa <[email-masked]>, Mostafa saad <[email-masked]>
Cc: Uae Lastmile <[email-masked]>, customer care <[email-masked]>
Date: Sun, 5 Jul 2020 17:55:46 +0300
List-Id: <ccteam.mumzworld.com>

Dears,

Please check the subjected order and ensure to arrange the delivery
tomorrow.

Thanks,
Amani